#
# spec file for package lxde-common-branding-openSUSE
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	upstream_ver 0.99.0
Name:           lxde-common-branding-openSUSE
Version:        12.1
Release:        lp154.1.2
Summary:        openSUSE branding for LXDE
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.opensuse.org
Source0:        lxde-common-%{upstream_ver}.tar.xz
Source1:        start-here-branding.svg
Source2:        suse-logout.png
Patch0:         lxde-common-0.99.0-pcmanfm-default.patch
Patch1:         lxde-common-0.99.0-openbox-menu.patch
Patch2:         lxde-common-0.99.0-lxpanel.patch
Patch3:         lxde-common-0.99.0-lxde-logout.patch
Patch4:         lxde-common-0.99.0-openbox-shortcut.patch
Patch5:			lxde-common-0.99.0-use-Adwaita-as-default-theme.patch
# Apply after lxde-common-0.99.0-use-Adwaita-as-default-theme.patch
Patch6:			lxde-common-0.99.0-openbox-titlebar-font.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
Requires:       desktop-data-openSUSE
Requires:       wallpaper-branding-openSUSE
Requires:		gtk2-metatheme-adwaita
Requires:		gtk3-metatheme-adwaita
Requires:		openbox-adwaita-ob-theme
# asigned to C-A-Escape in lxde-common-0.5.5-openbox-shortcut.patch but not installed by default
Requires:		xkill
Supplements:    packageand(lxde-common:branding-openSUSE)
Provides:       lxde-common-branding = %{version}
BuildRoot:      %{tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Conflicts:      otherproviders(lxde-common-branding)

%description
This branding-style package sets openSUSE style improvements into LXDE.
You should always prefer branding-openSUSE packages to branding-upstream.

%prep
%setup -q -n lxde-common-%{upstream_ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
# keep enable-man even if not needed or make will fail
%configure --enable-man
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
cp %{SOURCE1} %{buildroot}/%{_datadir}/lxde/images/
cp %{SOURCE2} %{buildroot}/%{_datadir}/lxde/images/

#delete not branding files
rm -rf %{buildroot}/%{_datadir}/xsessions
rm -rf %{buildroot}/%{_bindir}/openbox-lxde
rm -rf %{buildroot}/%{_bindir}/startlxde
rm -rf %{buildroot}/%{_datadir}/lxde/wallpapers
rm -rf %{buildroot}/%{_mandir}
rm -rf %{buildroot}/%{_datadir}/applications/*.desktop

%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/lxde-logout
%dir %{_datadir}/lxde
%dir %{_datadir}/lxde/images
%{_datadir}/lxde/images/logout-banner.png
%{_datadir}/lxde/images/lxde-icon.png
%{_datadir}/lxde/images/suse-logout.png
%{_datadir}/lxde/images/start-here-branding.svg
%dir %{_sysconfdir}/xdg/lxsession
%dir %{_sysconfdir}/xdg/pcmanfm
%dir %{_sysconfdir}/xdg/lxsession/LXDE
%dir %{_sysconfdir}/xdg/pcmanfm/LXDE
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%config %{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf
%dir %{_sysconfdir}/xdg/lxpanel
%dir %{_sysconfdir}/xdg/lxpanel/LXDE
%dir %{_sysconfdir}/xdg/lxpanel/LXDE/panels
%dir %{_sysconfdir}/xdg/openbox
%dir %{_sysconfdir}/xdg/openbox/LXDE
%config %{_sysconfdir}/xdg/lxpanel/LXDE/config
%config %{_sysconfdir}/xdg/lxpanel/LXDE/panels/panel
%config %{_sysconfdir}/xdg/openbox/LXDE/menu.xml
%config %{_sysconfdir}/xdg/openbox/LXDE/rc.xml

%changelog
* Fri Oct 31 2014 andrea@opensuse.org
- removed conflicting files.
* Fri Oct 24 2014 trcs@gmx.com
- upgrade openSUSE branding based on new upstream lxde-common
  0.99.0
- removed patches:
  * lxde-common-0.5.5-lxde-logout.patch
  * lxde-common-0.5.5-lxpanel.patch
  * lxde-common-0.5.5-openbox-menu.patch
  * lxde-common-0.5.5-openbox-shortcut.patch
  * lxde-common-0.5.5-openbox-titlebar-font.patch
  * lxde-common-0.5.5-pcmanfm-default.patch
  * lxde-common-0.5.5-use-Adwaita-as-default-theme.patch
- added patches:
  * lxde-common-0.99.0-lxde-logout.patch
  * lxde-common-0.99.0-lxpanel.patch
  * lxde-common-0.99.0-openbox-menu.patch
  * lxde-common-0.99.0-openbox-shortcut.patch
  * lxde-common-0.99.0-openbox-titlebar-font.patch
  * lxde-common-0.99.0-pcmanfm-default.patch
  * lxde-common-0.99.0-use-Adwaita-as-default-theme.patch
- spec file clean up
* Mon Sep  8 2014 trcs@gmx.com
- minor config changes
  * lxde-common-0.5.5-openbox-shortcut.patch
    + use xfce4-screenshooter (new in LXDE pattern) to take
    screenshots
- require xkill in spec file because it is asigned to C-A-Escape
  in lxde-common-0.5.5-openbox-shortcut.patch but it is not
  installed by default
* Fri Aug  1 2014 trcs@gmx.com
- Updated lxde-common-0.5.5-pcmanfm-default.patch to set Path Bar setting
  to Button. That makes navigation easier when Side Pane is set to Places
  (the default option)
- Added require openbox-adwaita-ob-theme in the spec file
- Cosmetic changes:
  * Openbox:
  - update lxde-common-0.5.5-use-Adwaita-as-default-theme.patch to use
    Adwaita as Openbox theme too
  - add lxde-common-0.5.5-openbox-titlebar-font.patch to set a font that makes
    both titlebar buttons and text have a more appealing size and appearance
  * LXPanel:
  - use color background instead of an image, the current image doesn't fit well
    with the theme
  - make panel and panel icons slightly bigger
  - replace suse.png with a more recent and scalable start-here-branding.svg
* Sun Jun 15 2014 trcs@gmx.com
- applied spec-cleaner
- removed checks and patches for discontinued versions
  * removed lxde-common-0.5.5-pcmanfm-default-11.4.patch
- change from Clearlooks to Adwaita as default theme and cursor theme
  * added lxde-common-0.5.5-use-Adwaita-as-default-theme.patch
* Tue Oct 11 2011 gber@opensuse.org
- use wallpapers from wallpaper-branding-openSUSE for >= 12.1
- removed unneeded build dependencies
* Thu Sep 22 2011 andrea.turrini@gmail.com
- fixed typos in lxde-common-branding-openSUSE.spec
* Sat Jul 30 2011 andrea@opensuse.org
- bunped version to 12.1
* Sat Jul 30 2011 andrea@opensuse.org
- upgrade suse branding based on new upstream 0.5.5 lxde-common
- removed patches now in upstream code
* Wed Jul 27 2011 andrea@opensuse.org
- fixed bug bnc#698167
* Sun Jul 10 2011 andrea@opensuse.org
- removed useless pkgconfig and gtk2-devel buildrequires
- fixed license tag
* Wed Mar 23 2011 andrea@opensuse.org
- fixed log-out image, 11.4 branding is complete
* Mon Mar 21 2011 andrea@opensuse.org
- fixed firefox link on default panel .desktop file
* Sun Nov 21 2010 andrea@opensuse.org
- Improved startlxde script to fix black background of first login
* Wed Nov  3 2010 andrea@opensuse.org
- Fixed startlxde script to copy pcmanfm.conf in the proper
  location bnc#651089
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Sun May 30 2010 andrea@opensuse.org
- updated suse-logout.png to fit 11.3 branding
* Tue May 18 2010 andrea@opensuse.org
- Fixed pipemenu conf file to provide pcmanfm 0.9.x compatibility
- Sync pcmanfm new conf file
* Mon May 17 2010 guido+opensuse.org@berhoerster.name
- adapt to new openbox-pipemenu
* Tue May 11 2010 guido+opensuse.org@berhoerster.name
- offer the complete applications menu by default
* Fri Mar 26 2010 andrea@opensuse.org
- modified lxde-common-startlxde.diff patch to fix bnc#591407
* Tue Mar 23 2010 andrea@opensuse.org
- added "print" keybind on openbox configuration
* Mon Mar  1 2010 andrea@opensuse.org
- added lxde-common-0.5.0-pcmanfm2.patch to switch to pcmanfm2
- moved pcmanfm-default.diff to
  lxde-common-0.5.0-pcmanfm-default.patch
- bump version to 11.3
* Tue Feb  9 2010 andrea@opensuse.org
- lxsession export dbus information now, gnome-keyring now work
  out of the box. Fixed bnc#564703
* Thu Dec 24 2009 andrea@opensuse.org
- spec file cleanup
* Wed Dec 23 2009 andrea@opensuse.org
- added workaround to bnc#564703
* Wed Dec 16 2009 andrea@opensuse.org
-  openSUSE 11.2 Branding complete
* Tue Dec 15 2009 andrea@opensuse.org
- changed some openbox keyboard shortcuts to make
  user life easier
* Fri Dec 11 2009 andrea@opensuse.org
- branding rebuilt on new lxde-common package
* Wed Dec  9 2009 andrea@opensuse.org
- removed battery applet, it make the panel crash
- removed volume applt, use gmixer now (much more powerful)
* Fri Jul 17 2009 andrea@opensuse.org
- new package
